diff -u dvipsk-orig/ChangeLog dvipsk/ChangeLog
--- dvipsk-orig/ChangeLog	Wed Jul 20 16:00:05 2011
+++ dvipsk/ChangeLog	Tue Jul 26 23:10:16 2011
@@ -1,3 +1,10 @@
+2011-07-26  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>
+
+	* bbox.c, dopage.c, dvips.c, pprescan.c, scanpage.c, dvips.1,
+	dvips.help, dvips.info and dvips.texi: pTeX with otf package
+	by S. Saito requires set2, put2, and independent options
+	-noomega and -noptex.
+
 2011-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>
 
 	* afm2tfm.c (openfiles), resident.c (residentfont): Allow
diff -u dvipsk-orig/bbox.c dvipsk/bbox.c
--- dvipsk-orig/bbox.c	Mon May 10 09:58:37 2010
+++ dvipsk/bbox.c	Tue Jul 26 22:54:31 2011
@@ -318,13 +318,13 @@
          charmove = 1;
          goto dochar;
 case 134: /* put2 */
-         if (noomega) error("! synch");
+         if (noomega && noptex) error("! synch");
          mychar = dvibyte();
          mychar = (mychar << 8) + dvibyte();
          charmove = 0;
          goto dochar;
 case 129: /* set2 */
-         if (noomega) error("! synch");
+         if (noomega && noptex) error("! synch");
          mychar = dvibyte();
          mychar = (mychar << 8) + dvibyte();
          charmove = 1;
diff -u dvipsk-orig/dopage.c dvipsk/dopage.c
--- dvipsk-orig/dopage.c	Wed May 05 18:37:32 2010
+++ dvipsk/dopage.c	Tue Jul 26 22:54:31 2011
@@ -98,13 +98,13 @@
    charmove = 1;
    goto dochar;
 case 134: /* put2 */
-   if (noomega) error("! synch");
+   if (noomega && noptex) error("! synch");
    mychar = dvibyte();
    mychar = (mychar << 8) + dvibyte();
    charmove = 0;
    goto dochar;
 case 129: /* set2 */
-   if (noomega) error("! synch");
+   if (noomega && noptex) error("! synch");
    mychar = dvibyte();
    mychar = (mychar << 8) + dvibyte();
    charmove = 1;
diff -u dvipsk-orig/dvips.1 dvipsk/dvips.1
--- dvipsk-orig/dvips.1	Mon Apr 25 09:06:10 2011
+++ dvipsk/dvips.1	Tue Jul 26 22:57:31 2011
@@ -244,13 +244,13 @@
 handle modern Encapsulated PostScript.
 .TP
 .BR -noomega
-This will disable the use of Omega and pTeX extensions when interpreting DVI
+This will disable the use of Omega extensions when interpreting DVI
 files.  By default, the additional opcodes
 .I 129
 and
 .I 134
-are recognized by dvips as Omega extensions and interpreted as requests to
-set 2-byte characters.
+are recognized by dvips as Omega or pTeX extensions and interpreted as
+requests to set 2-byte characters.
 .TP
 .BR -noptex
 This will disable the use of pTeX extensions when interpreting DVI files.
diff -u dvipsk-orig/dvips.c dvipsk/dvips.c
--- dvipsk-orig/dvips.c	Mon Apr 25 09:06:10 2011
+++ dvipsk/dvips.c	Tue Jul 26 22:54:31 2011
@@ -279,7 +279,7 @@
 "-m*  Manual feed                     -M*  Don't make fonts",
 "-mode s Metafont device name",
 "-n # Maximum number of pages         -N*  No structured comments",
-"-noomega  Disable Omega and pTeX extensions",
+"-noomega  Disable Omega extensions",
 "-noptex   Disable pTeX extensions",
 "-o f Output file                     -O c Set/change paper offset",
 #if defined(MSDOS) || defined(OS2)
@@ -821,7 +821,7 @@
                break;
 case 'n' :
                if (STREQ (p, "oomega")) {
-                 noomega = noptex = 1;
+                 noomega = 1;
                } else if (STREQ (p, "optex")) {
                  noptex = 1;
                } else {
diff -u dvipsk-orig/dvips.help dvipsk/dvips.help
--- dvipsk-orig/dvips.help	Wed May 05 18:37:32 2010
+++ dvipsk/dvips.help	Tue Jul 26 22:58:30 2011
@@ -18,7 +18,7 @@
 -m*  Manual feed                     -M*  Don't make fonts
 -mode s Metafont device name
 -n # Maximum number of pages         -N*  No structured comments
--noomega  Disable Omega and pTeX extensions
+-noomega  Disable Omega extensions
 -noptex   Disable pTeX extensions
 -o f Output file                     -O c Set/change paper offset
 -p # First page                      -P s Load config.$s
diff -u dvipsk-orig/dvips.info dvipsk/dvips.info
--- dvipsk-orig/dvips.info	Mon Apr 25 09:06:10 2011
+++ dvipsk/dvips.info	Tue Jul 26 23:28:12 2011
@@ -1,5 +1,4 @@
-This is ../../../texk/dvipsk/dvips.info, produced by makeinfo version
-4.13 from ../../../texk/dvipsk/dvips.texi.
+This is dvips.info, produced by makeinfo version 4.13 from dvips.texi.
 
 This manual documents Dvips version 5.991 (April 2011), a program to
 translate a DVI file into PostScript.  You may freely use, modify
@@ -584,7 +583,7 @@
 -m*  Manual feed                     -M*  Don't make fonts
 -mode s Metafont device name
 -n # Maximum number of pages         -N*  No structured comments
--noomega  Disable Omega and pTeX extensions
+-noomega  Disable Omega extensions
 -noptex   Disable pTeX extensions
 -o f Output file                     -O c Set/change paper offset
 -p # First page                      -P s Load config.$s
@@ -810,10 +809,10 @@
      movement, etc., in PostScript viewers such as Ghostview.
 
 `-noomega'
-     Disable the use of Omega and pTeX extensions when interpreting DVI
-     files.  By default, the additional opcodes `129' and `134' are
-     recognized by Dvips as Omega extensions and interpreted as
-     requests to set 2-byte characters.
+     Disable the use of Omega extensions when interpreting DVI files.
+     By default, the additional opcodes `129' and `134' are recognized
+     by Dvips as Omega or pTeX extensions and interpreted as requests
+     to set 2-byte characters.
 
 `-noptex'
      Disable the use of pTeX extensions when interpreting DVI files.  By
@@ -3834,9 +3833,9 @@
 * -O X-OFFSET,Y-OFFSET:                  Option details.      (line 245)
 * -p [=]NUM:                             Option details.      (line 263)
 * -P PRINTER:                            Option details.      (line 277)
-* -p PS-ENC <1>:                         Afm2tfm options.     (line  46)
-* -p PS-ENC:                             Changing PostScript encodings.
+* -p PS-ENC <1>:                         Changing PostScript encodings.
                                                               (line   6)
+* -p PS-ENC:                             Afm2tfm options.     (line  46)
 * -pp FIRST-LAST:                        Option details.      (line 272)
 * -pp RANGE:                             Option details.      (line 272)
 * -PPRINTER, and config file searching:  Configuration file searching.
@@ -3852,14 +3851,14 @@
 * -T HSIZE,VSIZE:                        Option details.      (line 347)
 * -t PAPERTYPE:                          Option details.      (line 323)
 * -T PS-TEX-ENC:                         Afm2tfm options.     (line  61)
-* -t TEX-ENC <1>:                        Afm2tfm options.     (line  56)
-* -t TEX-ENC:                            Changing TeX encodings.
+* -t TEX-ENC <1>:                        Changing TeX encodings.
                                                               (line   6)
+* -t TEX-ENC:                            Afm2tfm options.     (line  56)
 * -u:                                    Afm2tfm options.     (line  65)
 * -U:                                    Option details.      (line 362)
 * -u PSMAPFILE:                          Option details.      (line 354)
-* -V:                                    Option details.      (line 373)
 * -v:                                    Option details.      (line 370)
+* -V:                                    Option details.      (line 373)
 * -V VPL-FILE:                           Afm2tfm options.     (line  74)
 * -v VPL-FILE:                           Afm2tfm options.     (line  71)
 * -X NUM:                                Option details.      (line 390)
@@ -3886,7 +3885,7 @@
 * .pl property list files:               Metric files.        (line  39)
 * .pro prologue files:                   Header files.        (line  12)
 * .tfm TeX font metric files:            Metric files.        (line  31)
-* /#copies:                              Option details.      (line  31)
+* /#copies:                              Option details.      (line  41)
 * /magscale:                             EPSF scaling.        (line  67)
 * 612 792 bounding box size:             Bounding box.        (line  43)
 * 8r encoding, and extra characters:     Changing PostScript encodings.
@@ -3941,9 +3940,9 @@
 * Adobe fonts, installing:               PostScript font installation.
                                                               (line  19)
 * afm files:                             Metric files.        (line  26)
-* afm2tfm <1>:                           Invoking afm2tfm.    (line   6)
-* afm2tfm:                               Making a font available.
+* afm2tfm <1>:                           Making a font available.
                                                               (line  46)
+* afm2tfm:                               Invoking afm2tfm.    (line   6)
 * afm2tfm options:                       Afm2tfm options.     (line   6)
 * after header, inserting code:          Including headers from TeX.
                                                               (line  28)
@@ -4069,8 +4068,8 @@
 * dated output:                          PostScript hooks.    (line  16)
 * datestamp, in output:                  Configuration file commands.
                                                               (line  33)
-* debugging <1>:                         Option details.      (line  52)
-* debugging:                             Diagnosing problems. (line   6)
+* debugging <1>:                         Diagnosing problems. (line   6)
+* debugging:                             Option details.      (line  52)
 * debugging options:                     Debug options.       (line   6)
 * default resolutions:                   Configuration file commands.
                                                               (line 127)
@@ -4156,10 +4155,10 @@
 * error messages from printer:           Printer errors.      (line   6)
 * even pages only:                       Option details.      (line  37)
 * examples of literal PostScript:        Literal examples.    (line   6)
-* expanded fonts <1>:                    psfonts.map.         (line  19)
-* expanded fonts <2>:                    Afm2tfm options.     (line  37)
-* expanded fonts:                        Special font effects.
+* expanded fonts <1>:                    Special font effects.
                                                               (line  24)
+* expanded fonts <2>:                    psfonts.map.         (line  19)
+* expanded fonts:                        Afm2tfm options.     (line  37)
 * expansion, of virtual fonts:           Virtual fonts.       (line  34)
 * extended URL:                          Hypertext specials.  (line  20)
 * ExtendFont:                            Special font effects.
@@ -4336,8 +4335,8 @@
 * M config command (mf mode):            Configuration file commands.
                                                               (line  86)
 * macros for color:                      Color macro files.   (line   6)
-* macros for epsf inclusion <1>:         EPSF macros.         (line   6)
-* macros for epsf inclusion:             \includegraphics.    (line   6)
+* macros for epsf inclusion <1>:         \includegraphics.    (line   6)
+* macros for epsf inclusion:             EPSF macros.         (line   6)
 * magnification, DVI:                    EPSF scaling.        (line  63)
 * magnification, overriding DVI:         Option details.      (line 382)
 * magnification, vertical:               Option details.      (line 393)
@@ -4509,15 +4508,15 @@
                                                               (line  15)
 * ps special:                            ps special.          (line   6)
 * psfile special:                        psfile special.      (line   6)
-* psfonts.map <1>:                       psfonts.map.         (line   6)
-* psfonts.map <2>:                       Special font effects.
+* psfonts.map <1>:                       Special font effects.
                                                               (line  19)
-* psfonts.map:                           PostScript font installation.
+* psfonts.map <2>:                       PostScript font installation.
                                                               (line  24)
+* psfonts.map:                           psfonts.map.         (line   6)
 * psheaderdir:                           Header files.        (line  12)
 * psi character missing:                 Hypertext caveats.   (line  55)
 * pstopk:                                Option details.      (line 374)
-* pTeX extensions:                       Option details.      (line 206)
+* pTeX extensions:                       Option details.      (line 212)
 * Q config command (quiet):              Configuration file commands.
                                                               (line 121)
 * q config command (quiet):              Configuration file commands.
@@ -4535,10 +4534,10 @@
                                                               (line  18)
 * remapping:                             Reencoding with Afm2tfm.
                                                               (line   6)
-* resident fonts, different in different printers <1>: Configuration file commands.
-                                                              (line 105)
-* resident fonts, different in different printers: Option details.
+* resident fonts, different in different printers <1>: Option details.
                                                               (line 354)
+* resident fonts, different in different printers: Configuration file commands.
+                                                              (line 105)
 * resolution:                            Option details.      (line 390)
 * resolution, setting:                   Option details.      (line  58)
 * reverse pagination:                    Option details.      (line 300)
@@ -4659,9 +4658,9 @@
 * uncompressing PostScript:              Dynamic creation of graphics.
                                                               (line   6)
 * uniform resource locator:              Hypertext specials.  (line  20)
-* unknown, paper format for -t <1>:      Config file paper sizes.
+* unknown, paper format for -t <1>:      papersize special.   (line  29)
+* unknown, paper format for -t:          Config file paper sizes.
                                                               (line  69)
-* unknown, paper format for -t:          papersize special.   (line  29)
 * URL, definition:                       Hypertext specials.  (line  27)
 * URL, extended for TeX:                 Hypertext specials.  (line  20)
 * urx (psfile special option):           psfile special.      (line  42)
@@ -4712,82 +4711,82 @@
 
 
 Tag Table:
-Node: Top561
-Node: Why Dvips1307
-Node: Installation4755
-Node: config.ps installation5776
-Node: PostScript font installation8313
-Node: Ghostscript installation11187
-Node: Diagnosing problems12284
-Node: Debug options13379
-Node: No output14405
-Node: Small or inverted15873
-Node: Printer errors16592
-Node: Long documents fail17924
-Node: Including graphics fails18265
-Node: Invoking Dvips19503
-Node: Basic usage20094
-Node: Command-line options21122
-Node: Option summary21571
-Node: Option details23776
-Node: Environment variables43142
-Node: Config files46101
-Node: Configuration file searching46784
-Node: Configuration file commands50084
-Node: Paper size and landscape57197
-Node: papersize special58795
-Node: Config file paper sizes60204
-Node: Paper trays64359
-Node: Interaction with PostScript65693
-Node: PostScript figures66346
-Node: Bounding box67072
-Node: \includegraphics70443
-Node: EPSF macros72734
-Node: EPSF scaling74704
-Node: EPSF clipping77274
-Node: psfile special77916
-Node: Dynamic creation of graphics80309
-Node: Fonts in figures81627
-Node: Header files83287
-Node: Including headers from TeX84493
-Node: Including headers from the command line86527
-Node: Headers and memory usage87627
-Node: Literal PS88337
-Node: " special88919
-Node: ps special89660
-Node: Literal headers91158
-Node: PostScript hooks91873
-Node: Literal examples93963
-Node: Hypertext95415
-Node: Hypertext caveats96973
-Node: Hypertext specials101370
-Node: PostScript fonts104004
-Node: Font concepts105120
-Node: Metric files106287
-Node: Glyph files109113
-Node: Virtual fonts111469
-Node: Encodings113359
-Node: PostScript typesetting115762
-Node: Making a font available118844
-Node: Invoking afm2tfm123874
-Node: Changing font encodings124844
-Node: Changing TeX encodings125634
-Node: Changing PostScript encodings126734
-Node: Changing both encodings128078
-Node: Reencoding with Afm2tfm128751
-Node: Encoding file format131855
-Node: Special font effects136058
-Node: Afm2tfm options138321
-Node: psfonts.map141306
-Node: Color146038
-Node: Color macro files147082
-Node: User-definable colors150280
-Node: Color subtleties151555
-Node: Ted Turner153206
-Node: Color device configuration154431
-Node: Color support details156873
-Node: Color specifications157251
-Node: Color specials158654
-Node: Index160783
+Node: Top519
+Node: Why Dvips1265
+Node: Installation4713
+Node: config.ps installation5734
+Node: PostScript font installation8271
+Node: Ghostscript installation11145
+Node: Diagnosing problems12242
+Node: Debug options13337
+Node: No output14363
+Node: Small or inverted15831
+Node: Printer errors16550
+Node: Long documents fail17882
+Node: Including graphics fails18223
+Node: Invoking Dvips19461
+Node: Basic usage20052
+Node: Command-line options21080
+Node: Option summary21529
+Node: Option details23725
+Node: Environment variables43089
+Node: Config files46048
+Node: Configuration file searching46731
+Node: Configuration file commands50031
+Node: Paper size and landscape57144
+Node: papersize special58742
+Node: Config file paper sizes60151
+Node: Paper trays64306
+Node: Interaction with PostScript65640
+Node: PostScript figures66293
+Node: Bounding box67019
+Node: \includegraphics70390
+Node: EPSF macros72681
+Node: EPSF scaling74651
+Node: EPSF clipping77221
+Node: psfile special77863
+Node: Dynamic creation of graphics80256
+Node: Fonts in figures81574
+Node: Header files83234
+Node: Including headers from TeX84440
+Node: Including headers from the command line86474
+Node: Headers and memory usage87574
+Node: Literal PS88284
+Node: " special88866
+Node: ps special89607
+Node: Literal headers91105
+Node: PostScript hooks91820
+Node: Literal examples93910
+Node: Hypertext95362
+Node: Hypertext caveats96920
+Node: Hypertext specials101317
+Node: PostScript fonts103951
+Node: Font concepts105067
+Node: Metric files106234
+Node: Glyph files109060
+Node: Virtual fonts111416
+Node: Encodings113306
+Node: PostScript typesetting115709
+Node: Making a font available118791
+Node: Invoking afm2tfm123821
+Node: Changing font encodings124791
+Node: Changing TeX encodings125581
+Node: Changing PostScript encodings126681
+Node: Changing both encodings128025
+Node: Reencoding with Afm2tfm128698
+Node: Encoding file format131802
+Node: Special font effects136005
+Node: Afm2tfm options138268
+Node: psfonts.map141253
+Node: Color145985
+Node: Color macro files147029
+Node: User-definable colors150227
+Node: Color subtleties151502
+Node: Ted Turner153153
+Node: Color device configuration154378
+Node: Color support details156820
+Node: Color specifications157198
+Node: Color specials158601
+Node: Index160730
 
 End Tag Table
diff -u dvipsk-orig/dvips.texi dvipsk/dvips.texi
--- dvipsk-orig/dvips.texi	Mon Apr 25 09:06:10 2011
+++ dvipsk/dvips.texi	Tue Jul 26 23:02:04 2011
@@ -921,9 +921,9 @@
 @opindex -noomega
 @cindex Omega extensions
 @cindex p@TeX{} extensions
-Disable the use of Omega and p@TeX{} extensions when interpreting DVI
+Disable the use of Omega extensions when interpreting DVI
 files.  By default, the additional opcodes @samp{129} and @samp{134}
-are recognized by Dvips as Omega extensions and interpreted as
+are recognized by Dvips as Omega or p@TeX{} extensions and interpreted as
 requests to set 2-byte characters.
 
 @item -noptex
diff -u dvipsk-orig/pprescan.c dvipsk/pprescan.c
--- dvipsk-orig/pprescan.c	Mon May 10 18:43:11 2010
+++ dvipsk/pprescan.c	Tue Jul 26 22:54:32 2011
@@ -99,9 +99,9 @@
          mychar = (mychar << 8) + dvibyte();
          goto dochar;
 case 129: case 134: /* set2, put2 */
-         if (noomega) {
+         if (noomega && noptex) {
             sprintf(errbuf,
-               "! DVI file contains unexpected Omega command (%d)",cmd);
+               "! DVI file contains unexpected command (%d)",cmd);
             error(errbuf);
          }
          mychar = dvibyte(); mychar = (mychar << 8) + dvibyte();
diff -u dvipsk-orig/scanpage.c dvipsk/scanpage.c
--- dvipsk-orig/scanpage.c	Mon May 10 18:43:11 2010
+++ dvipsk/scanpage.c	Tue Jul 26 22:54:32 2011
@@ -175,9 +175,9 @@
          mychar = (mychar << 8) + dvibyte();
          goto dochar;
 case 129: case 134: /* set2, put2 */
-         if (noomega) {
+         if (noomega && noptex) {
             sprintf(errbuf,
-               "! DVI file contains unexpected Omega command (%d)",cmd);
+               "! DVI file contains unexpected command (%d)",cmd);
             error(errbuf);
          }
          mychar = dvibyte(); mychar = (mychar << 8) + dvibyte();