--- /usr/local/texlive/2013/texmf-dist/source/platex/jsclasses/jsclasses.dtx	2013-05-16 11:08:21.000000000 +0900
+++ ./jsclasses.dtx	2013-12-31 23:28:01.648917471 +0900
@@ -19,7 +19,7 @@
 %  Copyright 1995-1999 ASCII Corporation.
 %
 % \fi
-% \CheckSum{5493}
+% \CheckSum{5632}
 %% \CharacterTable
 %%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
 %%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
@@ -3140,7 +3140,8 @@
       \typeout{\@chapapp\thechapter\@chappos}%
       \addcontentsline{toc}{chapter}%
         {\protect\numberline
-        {\if@english\thechapter\else\@chapapp\thechapter\@chappos\fi}%
+        % {\if@english\thechapter\else\@chapapp\thechapter\@chappos\fi}%
+        {\@chapapp\thechapter\@chappos}%
         #1}%
     \else\addcontentsline{toc}{chapter}{#1}\fi
   \else
@@ -4309,9 +4310,18 @@
 %
 % $BL\<!$r@8@.$7$^$9!#(B
 %
+% \begin{macro}{\js@tocl@width}
+%
+% [2013-12-30] |\prechaptername| $B$J$I$+$i8+@Q$b$C$?L\<!$N%i%Y%k$ND9$5$G$9!#(B(by ts)
+%
 %    \begin{macrocode}
+\newdimen\js@tocl@width
 \newcommand{\tableofcontents}{%
 %<*book>
+  \settowidth\js@tocl@width{\headfont\prechaptername\postchaptername}%
+  \settowidth\@tempdima{\headfont\appendixname}%
+  \ifdim\js@tocl@width<\@tempdima \setlength\js@tocl@width{\@tempdima}\fi
+  \ifdim\js@tocl@width<2zw \divide\js@tocl@width by 2 \advance\js@tocl@width 1zw\fi
   \if@twocolumn
     \@restonecoltrue\onecolumn
   \else
@@ -4321,6 +4331,10 @@
   \@mkboth{\contentsname}{}%
 %</book>
 %<*!book>
+  \settowidth\js@tocl@width{\headfont\presectionname\postsectionname}%
+  \settowidth\@tempdima{\headfont\appendixname}%
+  \ifdim\js@tocl@width<\@tempdima\relax\setlength\js@tocl@width{\@tempdima}\fi
+  \ifdim\js@tocl@width<2zw \divide\js@tocl@width by 1 \advance\js@tocl@width 2zw\fi
   \section*{\contentsname}%
   \@mkboth{\contentsname}{\contentsname}%
 %</!book>
@@ -4328,7 +4342,7 @@
 %<book>  \if@restonecol\twocolumn\fi
 }
 %    \end{macrocode}
-% \end{macro}
+% \end{macro}\end{macro}
 %
 % \begin{macro}{\l@part}
 %
@@ -4362,6 +4376,9 @@
 %
 % $B>O$NL\<!$G$9!#(B|\@lnumwidth| $B$r(B4.683zw$B$KA}$d$7$^$7$?!#(B
 %
+% [2013-12-30] |\@lnumwidth| $B$r(B |\js@tocl@width| $B$+$i(B
+% $B7h$a$k$h$&$K$7$F$_$^$7$?!#(B(by ts)
+%
 %    \begin{macrocode}
 %<*book>
 \newcommand*{\l@chapter}[2]{%
@@ -4375,7 +4392,8 @@
       \rightskip\@tocrmarg
       \parfillskip-\rightskip
       \leavevmode\headfont
-      \if@english\setlength\@lnumwidth{5.5em}\else\setlength\@lnumwidth{4.683zw}\fi
+      % \if@english\setlength\@lnumwidth{5.5em}\else\setlength\@lnumwidth{4.683zw}\fi
+      \setlength\@lnumwidth{\js@tocl@width}\advance\@lnumwidth 2.683zw
       \advance\leftskip\@lnumwidth \hskip-\leftskip
       #1\nobreak\hfil\nobreak\hbox to\@pnumwidth{\hss#2}\par
       \penalty\@highpenalty
@@ -4401,7 +4419,8 @@
       \rightskip\@tocrmarg
       \parfillskip-\rightskip
       \leavevmode\headfont
-      \setlength\@lnumwidth{4zw}% $B85(B1.5em [2003-03-02]
+      %\setlength\@lnumwidth{4zw}% $B85(B1.5em [2003-03-02]
+      \setlength\@lnumwidth{\js@tocl@width}\advance\@lnumwidth 2zw
       \advance\leftskip\@lnumwidth \hskip-\leftskip
       #1\nobreak\hfil\nobreak\hbox to\@pnumwidth{\hss#2}\par
     \endgroup
@@ -4411,10 +4430,13 @@
 %
 % $B%$%s%G%s%H$HI}$O$=$l$>$l(B1.5em$B!$(B2.3em$B$G$7$?$,!$(B
 % 1zw$B!$(B3.683zw$B$KJQ$($^$7$?!#(B
-%
 %    \begin{macrocode}
-%<book>\newcommand*{\l@section}{\@dottedtocline{1}{1zw}{3.683zw}}
+%<book> % \newcommand*{\l@section}{\@dottedtocline{1}{1zw}{3.683zw}}
 %    \end{macrocode}
+%
+% [2013-12-30] $B>e$N%$%s%G%s%H$O(B |\js@tocl@width| $B$+$i7h$a$k$h$&$K(B
+% $B$7$^$7$?!#(B(by ts)
+%
 % \end{macro}
 %
 % \begin{macro}{\l@subsection}
@@ -4425,22 +4447,54 @@
 % $B$5$i$K2<0L%l%Y%k$NL\<!9`L\$NBN:[$G$9!#(B
 % $B$"$^$j;H$C$?$3$H$,$"$j$^$;$s$N$G!$MW=$@5$+$b$7$l$^$;$s!#(B
 %
+% [2013-12-30] $B$3$3$b(B  |\js@tocl@width| $B$+$i7h$a$k$h$&$K(B
+% $B$7$F$_$^$7$?!#(B(by ts)
+%
 %    \begin{macrocode}
 %<*!book>
 % \newcommand*{\l@subsection}   {\@dottedtocline{2}{1.5em}{2.3em}}
-\newcommand*{\l@subsection}   {\@dottedtocline{2}{1zw}{3zw}}
 % \newcommand*{\l@subsubsection}{\@dottedtocline{3}{3.8em}{3.2em}}
-\newcommand*{\l@subsubsection}{\@dottedtocline{3}{2zw}{3zw}}
 % \newcommand*{\l@paragraph}    {\@dottedtocline{4}{7.0em}{4.1em}}
-\newcommand*{\l@paragraph}    {\@dottedtocline{4}{3zw}{3zw}}
 % \newcommand*{\l@subparagraph} {\@dottedtocline{5}{10em}{5em}}
-\newcommand*{\l@subparagraph} {\@dottedtocline{5}{4zw}{3zw}}
+%
+% \newcommand*{\l@subsection}   {\@dottedtocline{2}{1zw}{3zw}}
+% \newcommand*{\l@subsubsection}{\@dottedtocline{3}{2zw}{3zw}}
+% \newcommand*{\l@paragraph}    {\@dottedtocline{4}{3zw}{3zw}}
+% \newcommand*{\l@subparagraph} {\@dottedtocline{5}{4zw}{3zw}}
+%
+\newcommand*{\l@subsection}{%
+          \@tempdima\js@tocl@width \advance\@tempdima -1zw
+          \@dottedtocline{2}{\@tempdima}{3zw}}
+\newcommand*{\l@subsubsection}{%
+          \@tempdima\js@tocl@width \advance\@tempdima 0zw
+          \@dottedtocline{3}{\@tempdima}{4zw}}
+\newcommand*{\l@paragraph}{%
+          \@tempdima\js@tocl@width \advance\@tempdima 1zw
+          \@dottedtocline{4}{\@tempdima}{5zw}}
+\newcommand*{\l@subparagraph}{%
+          \@tempdima\js@tocl@width \advance\@tempdima 2zw
+          \@dottedtocline{5}{\@tempdima}{6zw}}
 %</!book>
 %<*book>
-\newcommand*{\l@subsection}   {\@dottedtocline{2}{3.8em}{3.2em}}
-\newcommand*{\l@subsubsection}{\@dottedtocline{3}{7.0em}{4.1em}}
-\newcommand*{\l@paragraph}    {\@dottedtocline{4}{10em}{5em}}
-\newcommand*{\l@subparagraph} {\@dottedtocline{5}{12em}{6em}}
+% \newcommand*{\l@subsection}   {\@dottedtocline{2}{3.8em}{3.2em}}
+% \newcommand*{\l@subsubsection}{\@dottedtocline{3}{7.0em}{4.1em}}
+% \newcommand*{\l@paragraph}    {\@dottedtocline{4}{10em}{5em}}
+% \newcommand*{\l@subparagraph} {\@dottedtocline{5}{12em}{6em}}
+\newcommand*{\l@section}{%
+          \@tempdima\js@tocl@width \advance\@tempdima -1zw
+          \@dottedtocline{1}{\@tempdima}{3.683zw}}
+\newcommand*{\l@subsection}{%
+          \@tempdima\js@tocl@width \advance\@tempdima 2.683zw
+          \@dottedtocline{2}{\@tempdima}{3.5zw}}
+\newcommand*{\l@subsubsection}{%
+          \@tempdima\js@tocl@width \advance\@tempdima 6.183zw
+          \@dottedtocline{3}{\@tempdima}{4.5zw}}
+\newcommand*{\l@paragraph}{%
+          \@tempdima\js@tocl@width \advance\@tempdima 10.683zw
+          \@dottedtocline{4}{\@tempdima}{5.5zw}}
+\newcommand*{\l@subparagraph}{%
+          \@tempdima\js@tocl@width \advance\@tempdima 16.183zw
+          \@dottedtocline{5}{\@tempdima}{6.5zw}}
 %</book>
 %    \end{macrocode}
 % \end{macro}
@@ -5354,7 +5408,7 @@
 %    \begin{macrocode}
 %<!jspf>\newcommand{\figurename}{\if@english Fig.~\else $B?^(B\fi}
 %<jspf>\newcommand{\figurename}{Fig.~}
-%<!jspf>\newcommand{\tablename}{\if@english Table.~\else $BI=(B\fi}
+%<!jspf>\newcommand{\tablename}{\if@english Table~\else $BI=(B\fi}
 %<jspf>\newcommand{\tablename}{Table~}
 %    \end{macrocode}
 % \end{macro}
@@ -5363,7 +5417,8 @@
 % \begin{macro}{\appendixname}
 % \begin{macro}{\abstractname}
 %    \begin{macrocode}
-\newcommand{\appendixname}{\if@english Appendix~\else $BIUO?(B\fi}
+% \newcommand{\appendixname}{\if@english Appendix~\else $BIUO?(B\fi}
+\newcommand{\appendixname}{\if@english \else $BIUO?(B\fi}
 %<!book>\newcommand{\abstractname}{\if@english Abstract\else $B35MW(B\fi}
 %    \end{macrocode}
 % \end{macro}