--- test_pdflatex.log	2016-06-14 20:58:42.600807644 +0900
+++ test_lualatex.log	2016-06-14 20:54:57.681346938 +0900
@@ -1,11 +1,9 @@
-This is pdfTeX, Version 3.14159265-2.6-1.40.17 (TeX Live 2016) (preloaded format=pdflatex 2016.5.20)  14 JUN 2016 20:58
-entering extended mode
- restricted \write18 enabled.
- %&-line parsing enabled.
-**test
+This is LuaTeX, Version 0.95.0 (TeX Live 2016)  (format=lualatex 2016.5.20)  14 JUN 2016 20:54
+ system commands enabled.
+**test.tex
 (./test.tex
 LaTeX2e <2016/03/31>
-Babel <3.9r> and hyphenation patterns for 83 language(s) loaded.
+Babel <3.9r> and hyphenation patterns for 1 language(s) loaded.
 (/usr/local/texlive/2016/texmf-dist/tex/latex/base/article.cls
 Document Class: article 2014/09/29 v1.4h Standard LaTeX document class
 (/usr/local/texlive/2016/texmf-dist/tex/latex/base/size10.clo
@@ -31,7 +29,7 @@
 LaTeX Font Info:    Redeclaring math alphabet \mathbf on input line 142.
 LaTeX Info: Redefining \bm on input line 208.
 ) (./test.aux)
-\openout1 = `test.aux'.
+\openout1 = test.aux
 
 LaTeX Font Info:    Checking defaults for OML/cmm/m/it on input line 3.
 LaTeX Font Info:    ... okay on input line 3.
@@ -851,8 +849,7 @@
 OML/cmm/m/it -><5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74>
 <24.88>cmmi12 
 
-<5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74><24.88>cmmi12 -
->
+<5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74><24.88>cmmi12 ->
 
 sf@size ->7
 
@@ -1087,8 +1084,7 @@
 OML/cmm/m/it -><5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74>
 <24.88>cmmi12 
 
-<5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74><24.88>cmmi12 -
->
+<5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74><24.88>cmmi12 ->
 
 ssf@size ->5
 
@@ -1293,8 +1289,7 @@
 OML/cmm/m/it -><5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74>
 <24.88>cmmi12 
 
-<5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74><24.88>cmmi12 -
->
+<5><6><7><8><9>gen*cmmi<10><10.95>cmmi10<12><14.4><17.28><20.74><24.88>cmmi12 ->
 
 math@fonts ->textfont symoperators OT1/cmr/m/n/10 scriptfont symoperators OT1/c
 mr/m/n/7 scriptscriptfont symoperators OT1/cmr/m/n/5 
@@ -2876,8 +2871,7 @@
 OT1/cmr/bx/n -><5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74>
 <24.88>cmbx12 
 
-<5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74><24.88>cmbx12 -
->
+<5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74><24.88>cmbx12 ->
 
 sf@size ->7
 
@@ -3112,8 +3106,7 @@
 OT1/cmr/bx/n -><5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74>
 <24.88>cmbx12 
 
-<5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74><24.88>cmbx12 -
->
+<5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74><24.88>cmbx12 ->
 
 ssf@size ->5
 
@@ -3318,8 +3311,7 @@
 OT1/cmr/bx/n -><5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74>
 <24.88>cmbx12 
 
-<5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74><24.88>cmbx12 -
->
+<5><6><7><8><9>gen*cmbx<10><10.95>cmbx10<12><14.4><17.28><20.74><24.88>cmbx12 ->
 
 math@fonts ->textfont symoperators OT1/cmr/m/n/10 scriptfont symoperators OT1/c
 mr/m/n/7 scriptscriptfont symoperators OT1/cmr/m/n/5 textfont symletters OML/cm
@@ -5050,9 +5042,8 @@
 
 \bm@next ->
 
-\bm@command ->\mathchar 30074 
-
-\makeatletter ->\catcode `\@11\relax 
+\bm@command ->\mathchar 31458426 
+Missing character: There is no Ѻ (U+047A) in font cmmi10!
 
 \end #1->\csname end#1\endcsname \@checkend {#1}\expandafter \endgroup \if@endp
 e \@doendpe \fi \if@ignore \@ignorefalse \ignorespaces \fi 
@@ -5127,8 +5118,8 @@
 ox }}\global \let \if@newlist \@@if@newlist \global \@colht \textheight \stepco
 unter {page}\let \firstmark \botmark 
 
-\@resetactivechars ->\def ^^M{\@activechar@info {EOL}\space }\def  {\@activecha
-r@info {space}\space }\let '\active@math@prime 
+\@resetactivechars ->\def 
{\@activechar@info {EOL}\space }\def  {\@activechar@
+info {space}\space }\let '\active@math@prime 
 
 \@newlistfalse ->\let \if@newlist \iffalse 
 
@@ -5518,7 +5509,7 @@
 
 \@tempswafalse ->\let \if@tempswa \iffalse 
 
-\makeatletter ->\catcode `\@ 11\relax 
+\makeatletter ->\catcode `\@11\relax 
 
 (./test.aux)
 \font@submax ->0pt
@@ -5536,22 +5527,22 @@
 geht \ht \@kludgeins \fi \fi \@reinserts \@addtocurcol \else \@reinserts \@addm
 arginpar \fi }\@latexbug \ifnum \outputpenalty <\z@ \if@nobreak \nobreak \else 
 \addpenalty \interlinepenalty \fi \fi \fi \fi 
- ) 
-Here is how much of TeX's memory you used:
- 300 strings out of 493014
- 3205 string characters out of 6133336
- 53601 words of memory out of 5000000
- 3915 multiletter control sequences out of 15000+600000
- 6397 words of font info for 23 fonts, out of 8000000 for 9000
- 1141 hyphenation exceptions out of 8191
- 23i,4n,17p,123b,107s stack positions out of 5000i,500n,10000p,200000b,80000s
-</usr/local/texlive/2016/texmf-dist/fonts/type1/public/amsfonts/cm/cmmib10.pf
-b></usr/local/texlive/2016/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb>
-
-Output written on test.pdf (1 page, 15332 bytes).
-PDF statistics:
- 16 PDF objects out of 1000 (max. 8388607)
- 10 compressed objects within 1 object stream
- 0 named destinations out of 1000 (max. 500000)
+)
+
+Here is how much of LuaTeX's memory you used:
+ 329 strings out of 495119
+ 100000,89155 words of node,token memory allocated
+ 346 words of node memory still in use:
+   2 hlist, 1 vlist, 1 rule, 7 glue, 39 glue_spec, 1 write nodes
+   avail lists: 2:18,3:2,4:1,5:10,6:2,7:24,8:1,9:6
+ 3938 multiletter control sequences out of 65536+600000
+ 34 fonts using 1417631 bytes
+ 23i,4n,17p,124b,121s stack positions out of 5000i,500n,10000p,200000b,100000s
+</usr/local/texlive/2016/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb>
+Output written on test.pdf (1 page, 8087 bytes).
+
+PDF statistics: 12 PDF objects out of 1000 (max. 8388607)
+ 7 compressed objects within 1 object stream
+ 0 named destinations out of 1000 (max. 131072)
  1 words of extra memory for PDF output out of 10000 (max. 10000000)
 