--- -	2025-03-11 09:48:15.207427000 +0900
+++ out/TL2025_integral.log	2025-03-11 09:32:46.349265256 +0900
@@ -1,4 +1,4 @@
-This is LuaHBTeX, Version 1.18.0 (TeX Live 2024)  (format=lualatex 2025.3.3)  11 MAR 2025 09:39
+This is LuaHBTeX, Version 1.21.0 (TeX Live 2025)  (format=lualatex 2025.3.11)  11 MAR 2025 09:32
  system commands enabled.
  file:line:error style messages enabled.
 **\input"TL2025_integral.tex"
@@ -1044,12 +1044,7 @@
 (Font)              scaled to size 7.5pt on input line 15.
 LaTeX Font Info:    Font shape `JT3/mc/m/n' will be
 (Font)              scaled to size 6.0pt on input line 15.
-(load cache: extra_newcmmath-regular.luc)
-
-Package fontspec Info: 
-(fontspec)             Could not resolve font "NewComputerModernMath/B" (it
-(fontspec)             probably doesn't exist).
-
+(load cache: extra_newcmmath-regular.luc)(load cache: extra_newcmmath-bold.luc)
 
 Package fontspec Info: 
 (fontspec)             Font family 'NewComputerModernMath(0)' created for font
@@ -1061,11 +1056,8 @@
 (fontspec)              
 (fontspec)             - 'normal' (m/n) with NFSS spec.:
 (fontspec)             <->"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;"
-
-
-Package fontspec Info: 
-(fontspec)             Could not resolve font "NewComputerModernMath/B" (it
-(fontspec)             probably doesn't exist).
+(fontspec)             - 'bold' (b/n) with NFSS spec.:
+(fontspec)             <->"name:NewComputerModernMath/B:mode=base;script=math;language=dflt;mathfontdimen=xetex;"
 
 
 Package fontspec Info: 
@@ -1078,6 +1070,8 @@
 (fontspec)              
 (fontspec)             - 'normal' (m/n) with NFSS spec.:
 (fontspec)             <8.5->"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;"<6-8.5>"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;+ssty=0;"<-6>"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;+ssty=1;"
+(fontspec)             - 'bold' (b/n) with NFSS spec.:
+(fontspec)             <->"name:NewComputerModernMath/B:mode=base;script=math;language=dflt;mathfontdimen=xetex;"
 
 LaTeX Font Info:    Overwriting symbol font `operators' in version `normal'
 (Font)                  TU/XITSMath(1)/m/n --> TU/NewComputerModernMath(1)/m/n on input line 18.
@@ -1085,11 +1079,6 @@
 (Font)                  TU/XITSMath(1)/b/n --> TU/NewComputerModernMath(1)/b/n on input line 18.
 
 Package fontspec Info: 
-(fontspec)             Could not resolve font "NewComputerModernMath/B" (it
-(fontspec)             probably doesn't exist).
-
-
-Package fontspec Info: 
 (fontspec)             Font family 'NewComputerModernMath(2)' created for font
 (fontspec)             'NewComputerModernMath' with options
 (fontspec)             [Renderer=Basic,BoldItalicFont={},ItalicFont={},SmallCapsFont={},Script=Math,SizeFeatures={{Size=8.5-},{Size=6-8.5,Font=NewComputerModernMath,Style=MathScript},{Size=-6,Font=NewComputerModernMath,Style=MathScriptScript}},RawFeature={mathfontdimen=xetex},RawFeature={mathfontdimen=tex2}].
@@ -1099,6 +1088,8 @@
 (fontspec)              
 (fontspec)             - 'normal' (m/n) with NFSS spec.:
 (fontspec)             <8.5->"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;mathfontdimen=tex2;"<6-8.5>"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;mathfontdimen=tex2;+ssty=0;"<-6>"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;mathfontdimen=tex2;+ssty=1;"
+(fontspec)             - 'bold' (b/n) with NFSS spec.:
+(fontspec)             <->"name:NewComputerModernMath/B:mode=base;script=math;language=dflt;mathfontdimen=xetex;mathfontdimen=tex2;"
 
 LaTeX Font Info:    Overwriting symbol font `symbols' in version `normal'
 (Font)                  TU/XITSMath(2)/m/n --> TU/NewComputerModernMath(2)/m/n on input line 18.
@@ -1106,11 +1097,6 @@
 (Font)                  TU/XITSMath(2)/b/n --> TU/NewComputerModernMath(2)/b/n on input line 18.
 
 Package fontspec Info: 
-(fontspec)             Could not resolve font "NewComputerModernMath/B" (it
-(fontspec)             probably doesn't exist).
-
-
-Package fontspec Info: 
 (fontspec)             Font family 'NewComputerModernMath(3)' created for font
 (fontspec)             'NewComputerModernMath' with options
 (fontspec)             [Renderer=Basic,BoldItalicFont={},ItalicFont={},SmallCapsFont={},Script=Math,SizeFeatures={{Size=8.5-},{Size=6-8.5,Font=NewComputerModernMath,Style=MathScript},{Size=-6,Font=NewComputerModernMath,Style=MathScriptScript}},RawFeature={mathfontdimen=xetex},RawFeature={mathfontdimen=tex3}].
@@ -1120,6 +1106,8 @@
 (fontspec)              
 (fontspec)             - 'normal' (m/n) with NFSS spec.:
 (fontspec)             <8.5->"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;mathfontdimen=tex3;"<6-8.5>"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;mathfontdimen=tex3;+ssty=0;"<-6>"name:NewComputerModernMath:mode=base;script=math;language=dflt;mathfontdimen=xetex;mathfontdimen=tex3;+ssty=1;"
+(fontspec)             - 'bold' (b/n) with NFSS spec.:
+(fontspec)             <->"name:NewComputerModernMath/B:mode=base;script=math;language=dflt;mathfontdimen=xetex;mathfontdimen=tex3;"
 
 LaTeX Font Info:    Overwriting symbol font `largesymbols' in version `normal'
 (Font)                  TU/XITSMath(3)/m/n --> TU/NewComputerModernMath(3)/m/n on input line 18.
@@ -1138,16 +1126,16 @@
 )
 
 Here is how much of LuaTeX's memory you used:
- 14054 strings out of 475512
+ 14067 strings out of 475506
  125244,1144653 words of node,token memory allocated
  1185 words of node memory still in use:
    11 hlist, 2 vlist, 6 rule, 2 glue, 4 kern, 2 glyph, 258 attribute, 51 glue_spec, 35 attribute_list, 1 write, 14 user_defined nodes
-   avail lists: 1:5,2:2465,3:26,4:80,5:58,6:8,7:314,8:15,9:100
- 36792 multiletter control sequences out of 65536+600000
- 105 fonts using 90458975 bytes
+   avail lists: 1:5,2:2465,3:26,4:80,5:58,6:8,7:322,8:15,9:108
+ 36807 multiletter control sequences out of 65536+600000
+ 107 fonts using 92942235 bytes
  125i,5n,128p,1889b,271s stack positions out of 10000i,1000n,20000p,200000b,200000s
 </usr/local/texlive/2025/texmf-dist/fonts/opentype/public/lm/lmroman9-regular.otf></usr/local/texlive/2025/texmf-dist/fonts/opentype/public/newcomputermodern/NewCMMath-Regular.otf></usr/local/texlive/2025/texmf-dist/fonts/opentype/public/newcomputermodern/NewCMMath-Regular.otf></usr/local/texlive/2025/texmf-dist/fonts/opentype/public/xits/XITSMath-Regular.otf></usr/local/texlive/2025/texmf-dist/fonts/opentype/public/xits/XITSMath-Regular.otf></System/Library/Fonts/Supplemental/STIXTwoMath.otf></System/Library/Fonts/Supplemental/STIXTwoMath.otf></usr/local/texlive/2025/texmf-dist/fonts/opentype/public/lm/lmroman10-regular.otf></usr/local/texlive/2025/texmf-dist/fonts/opentype/public/lm-math/latinmodern-math.otf></usr/local/texlive/2025/texmf-dist/fonts/opentype/public/lm-math/latinmodern-math.otf>
-Output written on TL2025_integral.pdf (1 page, 21109 bytes).
+Output written on TL2025_integral.pdf (1 page, 21120 bytes).
 
 PDF statistics: 78 PDF objects out of 1000 (max. 8388607)
  44 compressed objects within 1 object stream