diff --git a/海潮音.tex b/海潮音.tex
index e08dfc6..5fb2e03 100644
--- a/海潮音.tex
+++ b/海潮音.tex
@@ -1,7 +1,30 @@
+% ! uplatex --shell-escape 海潮音
+%
+% 必要な CTAN 外のパッケージの URL は当該の usepackage 行の URL 参照
+% また BXglyphwiki のセットアップも必要です。
+%
+% mkdir out/ out/mycache
+% cluttex --output-directory=out -e uplatex --shell-escape 海潮音
+%
 \RequirePackage{plautopatch}
 \RequirePackage{exppl2e}
-\documentclass[dvipdfmx,uplatex,tate,book,paper=a5,jafontsize=14pt,
+\documentclass[dvipdfmx,uplatex,tate,
+    book,paper=a5,
+    % jafontsize=14pt, % 頭注のフォントサイズがおかしくなるのでとりあ
+    %%%%%%%%%%%%%%%%%%%% えずコメントアウト
+    sidenote_length=13zw, % length of 頭注 *参考「頭注について」
     open_bracket_pos=zenkaku_tentsuki,hanging_punctuation]{jlreq}
+\reversemarginpar
+\setlength{\voffset}{2in}% 頭注の領域を確保
+% 「頭注に関する参考URL」
+% https://github.com/abenori/jlreq/issues/48
+% How to setup tochu (頭注) by jlreq.cls in the environment of vertical layout (縱書) ?  #48
+% 上記URL での ポイントは二つ
+% 1) documentclass オプションに「sidenote_length=XXzw」を付与
+% 2) 頭注にするため「\reversemarginpar」
+% 利用されている状況だと頭注がページ外にはみ出てしまうので \voffset で 調整
+% さらに、documentclass オプションで「jafontsize」を指定している関係か
+% 頭注の文字サイズが大きくなってしまうので暫定でコメントアウト
 \usepackage{bxpapersize}
 \usepackage{pxrubrica}
 \usepackage[deluxe,multi,jis2004]{otf}
@@ -9,28 +32,74 @@
 \usepackage[directunicode*, noalphabet]{pxchfon}[2017/04/08]
 \usepackage{graphicx}
 \usepackage[dir=mycache]{bxglyphwiki}
+% https://github.com/zr-tex8r/BXglyphwiki/blob/master/bxglyphwiki.sty
+% glyphwiki からダウンロードするための BXglyphwiki のセットアップ必要
+% なので「インストール」の項を参考にセットアップ必要
+% 実行時はインターネット接続のまま実行すること
 \usepackage{german}
-\usepackage{indent}
-\usepackage{kyakuchu}
+\usepackage{indent}%%%%% https://mirrors.ctan.org/macros/latex209/contrib/misc/indent.sty
+%\usepackage{kyakuchu}%%% http://xymtex.my.coocan.jp/fujitas2/texlatex/tategumi/kyakuchu.sty
+%%%%%%%%%%%%%%%%%%%%%%%%% nkf --overwrite -Lu pw kyakuchu.sty
+%%%%%%%%%%%%%%%%%%%%%%%%% 脚注は使わないのでコメントアウト
 \rubysetup{||hj>}
-\title{{\large 譯詩集}　{\Huge{{\GWI{u6d77-k}}{\GWI{u2f90f}}音\hspace*{3zw}}}}
+\title{{\large 譯詩集}　{\Huge{
+      {\GWI{u6d77-k}}{\GWI{u2f90f}}音
+      \sidenote{
+        譯詩集。% 頭注の例では「訳」
+        上田敏著。
+        明治三八年一〇月一三日、
+        本郷書院刊。
+        四六判。
+        献辞・序・目次とも二七七ページ。
+      }
+      \hspace*{3zw}}}}
 \date{\hspace{4zw}{\small 明治三十八年}}
 \author{\hspace{5zw}{\normalsize 上田敏・上田敏譯}}
 \renewcommand*\descriptionlabel[1]{\normalfont #1\hfil} % description環境の中の \item の印字をゴシックでなく　normal font に変更する。
+\usepackage{layout}% ページレイアウト確認したい時
 \begin{document}
+%\layout%%%%%%%%%%%% ページレイアウト確認したい時
 \maketitle
 \newpage
 \mbox{}
 \newpage
 \vspace*{7zw}
-{\hspace{5zw}遙に此書を滿州なる森{\GWI{u9dd7}}外氏に獻ず}\\
+{\hspace{5zw}遙に此書を
+  滿州
+  \sidenote{
+    中国の東北一帯をいう。
+    当時この地方を舞台に日露戦争が行われていた。
+  }
+  なる
+  森{\GWI{u9dd7}}外
+  \sidenote{
+    当時
+    {\GWI{u9dd7}}外は% 頭注の例としては「鷗」
+    第二軍軍医部長として
+    滿州に% 頭注の例としては「満」
+    出征していた。
+  }
+  氏に獻ず}\\
 \newpage　　　　　
 \vspace*{6zw}
 
 \hspace*{4zw}{\small 大寺の香の\GWI{u7159-k}はほそくとも、{\GWI{u7a7a-ue0101}}にのぼりて}\\
-\hspace*{5zw}{\small あまぐもとなる、あまぐもとなる}
+\hspace*{5zw}{\small あまぐも
+  \sidenote{
+    「雨雲」と解する説もあるが
+    （辰野隆『え・びやん』所収「雨の日」）、
+    おそらく「天雲」の意であろう。
+  }
+  となる、あまぐもとなる}
 
 \hspace*{16zw}獅子舞歌
+\sidenote{
+  上田敏は何に拠ったものか明らかでないが、
+  前田林外選訂『日本民謡全集（明40・3)』には、
+  下総国玉造村の「香取神社祭獅子舞ひ歌」として、
+  「大てらの香のけぶりはほそくともそらにのぼりてあまくもとなる」
+  と載っている。
+}
 \newpage
 \mbox{}
 \newpage
@@ -59,7 +128,7 @@
 \subsection*{\hspace{-2zh}\ruby{燕}{つばめ}の\ruby{歌}{うた}}
 \vspace{3zw}
 %\begin{indentation}{2zh}{6zh}
-\setkyakuchuu
+%\setkyakuchuu % 脚注は使わないのでコメントアウト
 \begin{verse}
 \ruby[g]{彌生}{やよひ}ついたち、はつ燕、\\
 {\GWI{u6d77-k}}のあなたの靜けき國の\\
@@ -114,6 +183,3 @@
 
 
 \end{document}
-
-
-