--- 和田	2025-09-10 09:10:45.339174000 +0900
+++ Shiny Mt.Fuji 2025-09-09-3994-etoc2.log	2025-09-10 08:50:43.909211439 +0900
@@ -1,9 +1,12 @@
-This is LuaHBTeX, Version 1.22.0 (TeX Live 2025) 
+This is LuaHBTeX, Version 1.21.0 (TeX Live 2025/Homebrew) 
  restricted system commands enabled.
  file:line:error style messages enabled.
-**\input"2025-09-09-3994-etoc2"
+**2025-09-09-3994-etoc2.tex
+(2025-09-09-3994-etoc2.tex
+LaTeX2e <2024-11-01> patch level 2 【なんか古い】
+L3 programming layer <2025-01-18>  【なんか古い】
 Lua module: luaotfload 2024-12-03 v3.29 Lua based OpenType font support
 Lua module: lualibs 2023-07-13 v2.76 ConTeXt Lua standard libraries.
 Lua module: lualibs-extended 2023-07-13 v2.76 ConTeXt Lua libraries -- extended collection.
@@ -35,46 +38,51 @@
 Inserting `luaotfload.aux.set_xheight' in `luaotfload.patch_font'.
 Inserting `luaotfload.rewrite_fontname' in `luaotfload.patch_font'.
 Inserting `tracingstacklevels' in `input_level_string'.
-(./2025-09-09-3994-etoc2.tex
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/jlreq/jlreq.cls
-Document Class: jlreq 2025/3/16 jlreq
+Document Class: jlreq 2024/10/04 jlreq 【なんか古い】
+(/opt/homebrew/Cellar/texlive/20250308_1/share/texmf-dist/tex/latex/etoolbox/etoolbox.sty
+Package: etoolbox 2025/02/11 v2.5l e-TeX tools for LaTeX
+(JAW)
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/jlreq/jlreq-helpers.sty
 Package: jlreq-helpers 2024/02/13 jlreq-helpers
 jlreq guessed engine: lualatex
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/luatex/luatexja/luatexja.sty
-Package: luatexja 2025-07-23 Japanese Typesetting with Lua(La)TeX
+Package: luatexja 2025-02-08 Japanese Typesetting with Lua(La)TeX 【なんか古い】

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/luatex/luatexja/luatexja-core.sty
 Package: luatexja-core 2023-10-07 Core of LuaTeX-ja

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/generic/infwarerr/infwarerr.sty
 Package: infwarerr 2019/12/03 v1.5 Providing info/warning/error messages
 (HO))
@@ -104,14 +115,11 @@
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/generic/xkeyval/xkvutils.tex

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/generic/xkeyval/keyval.tex))
 (HA)))
-(/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/etoolbox/etoolbox.sty
-Package: etoolbox 2025/02/11 v2.5l e-TeX tools for LaTeX
-(JAW)
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/everyhook/everyhook.sty
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/svn-prov/svn-prov.sty
 Package: svn-prov 2010/04/24 v3.1862 Package Date/Version from SVN Keywords)
@@ -158,9 +166,7 @@
-(load cache: ltj-cid-auto-adobe-japan1.luc)
 Lua module: luatexja.charrange 2022-08-19 Handling the range of Japanese characters
 Lua module: luatexja.stack 2022-08-20 LuaTeX-ja stack system
 Inserting `ltj.create_dir_whatsit' in `hpack_filter'.
@@ -169,7 +175,7 @@
 Inserting `ltj.direction' in `pre_output_filter'.
 Inserting `ltj.lineskip' in `post_linebreak_filter'.
 Inserting `ltj.lineskip' in `append_to_vlist_filter'.
-Lua module: luatexja.jfont 2025-05-04 Loader for Japanese fonts
+Lua module: luatexja.jfont 2024-07-25 Loader for Japanese fonts 【なんか古い】
 Removing  `luaotfload.define_font' from `define_font'.
 Inserting `luatexja.font_callback' in `define_font'.
 Removing  `luaotfload.aux.set_sscale_dimens' from `luaotfload.patch_font'.
@@ -214,7 +220,7 @@
 Removing  `luaotfload.node_processor' from `pre_linebreak_filter'.
 Inserting `ltj.set_stack_level' in `pre_linebreak_filter'.
 Inserting `luaotfload.node_processor' in `pre_linebreak_filter'.
-Lua module: luatexja.jfmglue 2025-05-27 Insertion process of JFM glues, [x]kanjiskip and others
+Lua module: luatexja.jfmglue 2024-10-12 Insertion process of JFM glues, [x]kanjiskip and others 【なんか古い】
 Inserting `luatexja.beginpar.np_info' in `luatexja.jfmglue.whatsit_getinfo'.
 Inserting `luatexja.beginpar.np_info_after' in `luatexja.jfmglue.whatsit_after'.
 Inserting `ltj.mlist_to_hlist_pre' in `pre_mlist_to_hlist_filter'.
@@ -278,335 +284,30 @@
 (load cache: ltj-kinsoku_default.luc)
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/luatex/luatexja/ltj-latex.sty
-Package: ltj-latex 2025-06-08 LaTeX support of LuaTeX-ja
+Package: ltj-latex 2024-05-16 LaTeX support of LuaTeX-ja 【なんか古い】
 Inserting `ltj.direction' in `pre_shipout_filter'.
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/luatex/luatexja/patches/lltjfont.sty
 Package: lltjfont 2023-05-16 Patch to NFSS2 for LuaTeX-ja

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/base/tuenc.def
-File: tuenc.def 2024/12/21 v2.1c Standard LaTeX file
+File: tuenc.def 2021/04/29 v2.0v Standard LaTeX file 【なんか古い】
@@ -642,17 +343,19 @@
 LaTeX Font Info:    Overwriting symbol font `mincho' in version `bold'
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/luatex/luatexja/patches/lltjcore.sty
-Package: lltjcore 2025-06-12 Patch to LaTeX2e Kernel for LuaTeX-ja
+Package: lltjcore 2025-01-12 Patch to LaTeX2e Kernel for LuaTeX-ja 【なんか古い】

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/l3kernel/expl3.sty
-Package: expl3 2025-08-13 L3 programming layer
+Package: expl3 2025-01-18 L3 programming layer 【なんか古い】
 (loader) 

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/l3backend/l3backend-luatex.def
-File: l3backend-luatex.def 2025-06-09 L3 backend support: PDF output
+File: l3backend-luatex.def 2024-05-08 L3 backend support: PDF output 【なんか古い】
 (LuaTeX)
@@ -693,21 +397,26 @@
 Removing  `luatexja.beginpar.np_info_after' from `luatexja.jfmglue.whatsit_after'.
 Inserting `ghost of a JACHAR' in `luatexja.jfmglue.whatsit_after'.
 Inserting `luatexja.beginpar.np_info_after' in `luatexja.jfmglue.whatsit_after'.
-Inserting `Adjust width' in `pre_append_to_vlist_filter'.
+Removing  `ltj.create_dir_whatsit' from `post_linebreak_filter'.
+Removing  `ltj.lineskip' from `post_linebreak_filter'.
+Inserting `Adjust width' in `post_linebreak_filter'.
+Inserting `ltj.create_dir_whatsit' in `post_linebreak_filter'.
+Inserting `ltj.lineskip' in `post_linebreak_filter'.
 Inserting `luatexja.adjust' in `luatexja.adjust_jfmglue'.
 Inserting `luatexja.adjust' in `luatexja.adjust_jfmglue_tail'.

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/lm/lmodern.sty
 Package: lmodern 2015/05/01 v1.6.1 Latin Modern Fonts
 LaTeX Font Info:    Overwriting symbol font `operators' in version `normal'
@@ -743,51 +452,54 @@
 LaTeX Font Info:    Overwriting math alphabet `\mathtt' in version `bold'
 LaTeX Font Info:    Font shape `JY3/mc/m/n' will be
 (load cache: extra_lmroman8-regular.luc)
 LaTeX Font Info:    Font shape `JT3/mc/m/n' will be
 LaTeX Font Info:    Font shape `JY3/mc/m/n' will be

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/sttools/stfloats.sty
-Package: stfloats 2025/06/18 v3.4 Improve float mechanism and baselineskip settings
+Package: stfloats 2017/03/27 v3.3 Improve float mechanism and baselineskip settings 【なんか古い】これかな？
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/luatex/luatexja/patches/lltjp-stfloats.sty)
 (load cache: extra_lmroman9-regular.luc)
 LaTeX Font Info:    Font shape `JT3/mc/m/n' will be
 LaTeX Font Info:    Font shape `JY3/mc/m/n' will be

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/jlreq/jlreq-complements.sty
-Package: jlreq-complements 2025/03/16 jlreq-complements
+Package: jlreq-complements 2024/08/23 jlreq-complements 【なんか古い】

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/filehook/filehook.sty
 Package: filehook 2022/10/25 v0.8b Hooks for input files

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/filehook/filehook-2020.sty
 Package: filehook-2020 2022/10/25 v0.8b Hooks for input files))))
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/etoc/etoc.sty
@@ -796,30 +509,31 @@
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/kvoptions/kvoptions.sty
 Package: kvoptions 2022-06-15 v3.15 Key value format for package options
 (HO)

 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/kvsetkeys/kvsetkeys.sty
 Package: kvsetkeys 2022-10-05 v1.19 Key value parser
 (HO)))
 (/OPT/HOMEBREW/CELLAR/TEXLIVE/20250308_1/SHARE/texmf-dist/tex/latex/tools/multicol.sty
-Package: multicol 2025/05/25 v2.0a multicolumn formatting
+Package: multicol 2024/09/14 v1.9i multicolumn formatting 【なんか古い】
 (FMi)
  ***********
-LaTeX2e <2025-06-01> patch level 1
-L3 programming layer <2025-08-13>
+LaTeX2e <2024-11-01> patch level 2 【なんか古い】
+L3 programming layer <2025-01-18> 【なんか古い】
  ***********)
 