commit e94dc3940b6d9b1774a90d111b9796c102f28ec1
Author: 128Mac <qaz_wada136@yahoo.co.jp>
Date:   Sun Nov 2 20:39:32 2025 +0900

    大幅リニューアル（\chapter{...}\thispagestyle{first}  とするか、同等効果のマクロで対応）

diff --git a/jlreq_QA_main.tex b/jlreq_QA_main.tex
index 3b913bd..0f57705 100644
--- a/jlreq_QA_main.tex
+++ b/jlreq_QA_main.tex
@@ -29,27 +29,6 @@ dvipdfmx
 % bibliography を目次に追加
 \usepackage[nottoc,notlot,notlof]{tocbibind}
 
-\usepackage{ifthen}
-
-
-% ===============================
-% jlreq用：chapterごとにページスタイルを切り替え
-% ===============================
-\makeatletter
-%---------------------------------
-% 章内ページカウンタを定義
-%---------------------------------
-\newcounter{chapterpage}
-
-% \chapter が呼ばれたときにリセット
-\let\jlreq@orig@chapter\chapter
-\renewcommand{\chapter}{%
-  \setcounter{chapterpage}{1}%
-  \jlreq@orig@chapter
-}
-
-% shipout（ページ出力）ごとにカウントを増加
-\AddToHook{shipout/after}{\stepcounter{chapterpage}}
 
 %---------------------------------
 % jlreqのページスタイル定義
@@ -74,18 +53,6 @@ dvipdfmx
   even_head_format={\underline{\makebox[\jlreqyokoheadlength]{#1 even}}}%% ⇦【デバッグ用、どこからヘッダーが生成されているか確認用デバッグコード挿入】
 }
 
-%---------------------------------
-% 各ページ出力時に条件分岐
-%---------------------------------
-
-\AddToHook{shipout/before}{%
-  \ifthenelse{\value{chapterpage}=1}{%
-    \thispagestyle{first}%
-  }{%
-    \thispagestyle{mybook}%% ⇦【ここを \pagestyle{mybook} とすると状況は悪化する】
-  }%
-}
-\makeatother
 
 
 \NewPageStyle{refbook}{%
@@ -98,32 +65,9 @@ nombre_position = top-right%
 %\pagestyle{headings}
 
 %目次
-\makeatletter
 % 章番号とタイトルを分けて配置
 \renewcommand{\numberline}[1]{#1\quad}
 
-\def\l@chapter#1#2{%
-  \ifnum \c@tocdepth >\m@ne
-    \vskip 1.0\baselineskip % jlreq既定の値
-    {\leftskip 0pt \rightskip \@tocrmarg \parfillskip -\rightskip
-     \parindent 0pt
-     \interlinepenalty\@M
-     \leavevmode
-     \sffamily\gtfamily % ゴシック体
-     #1\hfill
-     \nobreak\hb@xt@\@pnumwidth{\hss\sffamily\gtfamily #2}%
-     \par}%
-  \fi}
-\makeatother
-
-\makeatletter
-\def\l@section#1#2{%
-  \ifnum \c@tocdepth >0
-    \addpenalty{\@secpenalty}%
-    %\addvspace{0.5\baselineskip}%
-    \@dottedtocline{1}{0.8em}{5em}{#1}{#2}%
-  \fi}
-\makeatother
 
 
 \begin{document}
@@ -193,7 +137,9 @@ nombre_position = top-right%
     %ページ番号は算用数字。章番号をつける
     \mainmatter
     
+    \pagestyle{mybook}%%%%%%%%% % ⇦⇦主要部のページスタイルを宣言
     \chapter{だいいっしょう}
+    \thispagestyle{first}%%%%%% % ⇦⇦章の最初のページは下線を描かない
     \section{だいいっせつ}
     だいいっせつ。
     \clearpage
@@ -204,7 +150,11 @@ nombre_position = top-right%
     \section{だいにせつ}
     だいにせつ。
     
-    \chapter{CHAPTER}%%%%%%%%%%%%%%% ⇦【デバッグ用】 目次ページを複数になった時の二ページ目を確認するため
+ \newcommand{\CHAPTER}[1]{%% ⇦⇦  \begin{document} の前に定義した方が一般的。説明のためここで定義
+    \chapter{#1}%%%%%%%%%%%% ⇦⇦  本来の \chapter 発行
+    \thispagestyle{first}%%% ⇦⇦  各 \chapter の最初のページスタイル...以下で \CHAPTER の後に \thispagestyle の記述不要
+}
+    \CHAPTER{CHAPTER}%%%%%%%%%%%%%%% ⇦【デバッグ用】 目次ページを複数になった時の二ページ目を確認するため
     \newcount\K %%%%%%%%%%%%%%%%%%%% ⇦【デバッグ用】
     \K=1 %%%%%%%%%%%%%%%%%%%%%%%%%%% ⇦【デバッグ用】
     \loop\ifnum\K<31 %%%%%%%%%%%%%%% ⇦【デバッグ用】
@@ -216,6 +166,7 @@ nombre_position = top-right%
     \appendix % 以下は付録
     
     \chapter{ふろくA}
+    \thispagestyle{first}%%%%%% % ⇦⇦章の最初のページは下線を描かない
     hogehoge
     \clearpage
     2pageme